Skip to main content
GET
/
api
/
v2
/
workspace-members
/
{id}
Get workspace member
curl --request GET \
  --url https://api.instantly.ai/api/v2/workspace-members/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "019cc043-af91-783e-9927-3daab1cd9277",
  "email": "user@example.com",
  "user_id": "019cc043-af91-783e-9927-3dab8777b06e",
  "role": "editor",
  "timestamp_created": "2026-03-05T23:09:47.281Z",
  "workspace_id": "019cc043-af91-783e-9927-3dac07d1c206",
  "accepted": false,
  "user_email": "user@example.com",
  "name": {
    "first": "John",
    "last": "Smith"
  },
  "issuer_id": "019cc043-af91-783e-9927-3dad367acbdf",
  "permissions": [
    "dashboard.view"
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required

The ID of the requested item

Example:

"019cc043-e422-75f0-9f2a-382a9d492d90"

Response

The requested Workspace Member

A member of a workspace with associated user details

id
string<uuid>
required

Unique identifier for the workspace member

Example:

"019cc043-af91-783e-9927-3daab1cd9277"

email
string<email>
required

Email address of the workspace member

Example:

"user@example.com"

user_id
string<uuid>
required

User ID of the workspace member

Example:

"019cc043-af91-783e-9927-3dab8777b06e"

role
enum<string>
required

THe role of the workspace member defining their access level. While the "owner" role is listed in the enum, it cannot be created via the API, and is only assigned to the user who creates the workspace.

Available options:
owner,
admin,
editor,
view,
client
Example:

"editor"

timestamp_created
string<date-time>
required

Timestamp when the workspace member was created

Example:

"2026-03-05T23:09:47.281Z"

workspace_id
string<uuid>
required

ID of the workspace this member belongs to

Example:

"019cc043-af91-783e-9927-3dac07d1c206"

accepted
boolean
required

Whether the member has accepted the workspace invitation

Example:

false

user_email
null | string<email>

Email address of the user

Example:

"user@example.com"

name
object
issuer_id
null | string<uuid>

ID of the user who added this member to the workspace

Example:

"019cc043-af91-783e-9927-3dad367acbdf"

permissions
null | enum<string>[]

The permissions for this workspace member. Used in the app to restrict access to certain sections

Available options:
dashboard.view,
campaigns.view,
campaigns.create,
campaigns.edit,
campaigns.delete,
organization.manage,
organization.integrations,
organization.billing,
organization.users.manage,
leadFinder.view,
customLeadLabels.create,
customLeadLabels.edit,
customLeadLabels.delete,
unibox.all,
analytics.view,
agency.manage,
accounts.view,
accounts.manage,
leadManagement.view,
leads.move,
crm.view,
websiteVisitors.view,
blocklist.manage,
preferences.manage,
inboxPlacement.view,
aiAgents.manage,
workspaceGroupMembers.invite,
workspaceGroupMembers.remove,
workspaceGroupMembers.leave